//*********************************************//
//            Single Thumb Analog              //
//          PS2 Joystick Controller            //
//                                             //
//   A sample sketch for reading the analog    //
// X and Y - axis input pin and push button of //
// PS2 Controller. The out value of X and Y is //
// 0 - 1023 while in pressing down is 1.       //
// Compatible in all gizDuino boards.          //
//                                             //
//        by e-Gizmo Mechatronix Central       //
//            http://www.e-gizmo.com           //
//                                             //
//*********************************************//

int X= A0; // X - AXIS INPUT PIN
int Y = A1; // Y - AXIS INPUT PIN
int K = 3; // PUSH BUTTON

void setup ()
{
  Serial.begin (9600); 
  pinMode (K, INPUT); // K PIN SET AS INPUT
  
}
void loop ()
{
  int X_VALUE, Y_VALUE, BUTTON_VALUE;
  
  //READING THE VALUE
  X_VALUE = analogRead (X); 
  Y_VALUE = analogRead (Y);
  BUTTON_VALUE = digitalRead (K);
  
  //PRINTING THE OUTPUT VALUE
  Serial.print("X = ");
  Serial.println (X_VALUE, DEC);
  
  Serial.print ("Y = ");
  Serial.println (Y_VALUE, DEC);
  
  Serial.print("BUTTON IS");
  if (BUTTON_VALUE == HIGH){
    Serial.println ("NOT PRESSED");
  }
  else{
    Serial.println ("PRESSED");
  }
    
  delay (500);
}

